<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpHarmonicIRateReportDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpHarmonicIRateReportD">
    <!--@mbg.generated-->
    <!--@Table r_mp_harmonic_i_rate_report_d-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="phase" jdbcType="VARCHAR" property="phase" />
    <result column="i_2_max" jdbcType="FLOAT" property="i2Max" />
    <result column="i_2_min" jdbcType="FLOAT" property="i2Min" />
    <result column="i_2_avg" jdbcType="FLOAT" property="i2Avg" />
    <result column="i_2_cp95" jdbcType="FLOAT" property="i2Cp95" />
    <result column="i_3_max" jdbcType="FLOAT" property="i3Max" />
    <result column="i_3_min" jdbcType="FLOAT" property="i3Min" />
    <result column="i_3_avg" jdbcType="FLOAT" property="i3Avg" />
    <result column="i_3_cp95" jdbcType="FLOAT" property="i3Cp95" />
    <result column="i_4_max" jdbcType="FLOAT" property="i4Max" />
    <result column="i_4_min" jdbcType="FLOAT" property="i4Min" />
    <result column="i_4_avg" jdbcType="FLOAT" property="i4Avg" />
    <result column="i_4_cp95" jdbcType="FLOAT" property="i4Cp95" />
    <result column="i_5_max" jdbcType="FLOAT" property="i5Max" />
    <result column="i_5_min" jdbcType="FLOAT" property="i5Min" />
    <result column="i_5_avg" jdbcType="FLOAT" property="i5Avg" />
    <result column="i_5_cp95" jdbcType="FLOAT" property="i5Cp95" />
    <result column="i_6_max" jdbcType="FLOAT" property="i6Max" />
    <result column="i_6_min" jdbcType="FLOAT" property="i6Min" />
    <result column="i_6_avg" jdbcType="FLOAT" property="i6Avg" />
    <result column="i_6_cp95" jdbcType="FLOAT" property="i6Cp95" />
    <result column="i_7_max" jdbcType="FLOAT" property="i7Max" />
    <result column="i_7_min" jdbcType="FLOAT" property="i7Min" />
    <result column="i_7_avg" jdbcType="FLOAT" property="i7Avg" />
    <result column="i_7_cp95" jdbcType="FLOAT" property="i7Cp95" />
    <result column="i_8_max" jdbcType="FLOAT" property="i8Max" />
    <result column="i_8_min" jdbcType="FLOAT" property="i8Min" />
    <result column="i_8_avg" jdbcType="FLOAT" property="i8Avg" />
    <result column="i_8_cp95" jdbcType="FLOAT" property="i8Cp95" />
    <result column="i_9_max" jdbcType="FLOAT" property="i9Max" />
    <result column="i_9_min" jdbcType="FLOAT" property="i9Min" />
    <result column="i_9_avg" jdbcType="FLOAT" property="i9Avg" />
    <result column="i_9_cp95" jdbcType="FLOAT" property="i9Cp95" />
    <result column="i_10_max" jdbcType="FLOAT" property="i10Max" />
    <result column="i_10_min" jdbcType="FLOAT" property="i10Min" />
    <result column="i_10_avg" jdbcType="FLOAT" property="i10Avg" />
    <result column="i_10_cp95" jdbcType="FLOAT" property="i10Cp95" />
    <result column="i_11_max" jdbcType="FLOAT" property="i11Max" />
    <result column="i_11_min" jdbcType="FLOAT" property="i11Min" />
    <result column="i_11_avg" jdbcType="FLOAT" property="i11Avg" />
    <result column="i_11_cp95" jdbcType="FLOAT" property="i11Cp95" />
    <result column="i_12_max" jdbcType="FLOAT" property="i12Max" />
    <result column="i_12_min" jdbcType="FLOAT" property="i12Min" />
    <result column="i_12_avg" jdbcType="FLOAT" property="i12Avg" />
    <result column="i_12_cp95" jdbcType="FLOAT" property="i12Cp95" />
    <result column="i_13_max" jdbcType="FLOAT" property="i13Max" />
    <result column="i_13_min" jdbcType="FLOAT" property="i13Min" />
    <result column="i_13_avg" jdbcType="FLOAT" property="i13Avg" />
    <result column="i_13_cp95" jdbcType="FLOAT" property="i13Cp95" />
    <result column="i_14_max" jdbcType="FLOAT" property="i14Max" />
    <result column="i_14_min" jdbcType="FLOAT" property="i14Min" />
    <result column="i_14_avg" jdbcType="FLOAT" property="i14Avg" />
    <result column="i_14_cp95" jdbcType="FLOAT" property="i14Cp95" />
    <result column="i_15_max" jdbcType="FLOAT" property="i15Max" />
    <result column="i_15_min" jdbcType="FLOAT" property="i15Min" />
    <result column="i_15_avg" jdbcType="FLOAT" property="i15Avg" />
    <result column="i_15_cp95" jdbcType="FLOAT" property="i15Cp95" />
    <result column="i_16_max" jdbcType="FLOAT" property="i16Max" />
    <result column="i_16_min" jdbcType="FLOAT" property="i16Min" />
    <result column="i_16_avg" jdbcType="FLOAT" property="i16Avg" />
    <result column="i_16_cp95" jdbcType="FLOAT" property="i16Cp95" />
    <result column="i_17_max" jdbcType="FLOAT" property="i17Max" />
    <result column="i_17_min" jdbcType="FLOAT" property="i17Min" />
    <result column="i_17_avg" jdbcType="FLOAT" property="i17Avg" />
    <result column="i_17_cp95" jdbcType="FLOAT" property="i17Cp95" />
    <result column="i_18_max" jdbcType="FLOAT" property="i18Max" />
    <result column="i_18_min" jdbcType="FLOAT" property="i18Min" />
    <result column="i_18_avg" jdbcType="FLOAT" property="i18Avg" />
    <result column="i_18_cp95" jdbcType="FLOAT" property="i18Cp95" />
    <result column="i_19_max" jdbcType="FLOAT" property="i19Max" />
    <result column="i_19_min" jdbcType="FLOAT" property="i19Min" />
    <result column="i_19_avg" jdbcType="FLOAT" property="i19Avg" />
    <result column="i_19_cp95" jdbcType="FLOAT" property="i19Cp95" />
    <result column="i_20_max" jdbcType="FLOAT" property="i20Max" />
    <result column="i_20_min" jdbcType="FLOAT" property="i20Min" />
    <result column="i_20_avg" jdbcType="FLOAT" property="i20Avg" />
    <result column="i_20_cp95" jdbcType="FLOAT" property="i20Cp95" />
    <result column="i_21_max" jdbcType="FLOAT" property="i21Max" />
    <result column="i_21_min" jdbcType="FLOAT" property="i21Min" />
    <result column="i_21_avg" jdbcType="FLOAT" property="i21Avg" />
    <result column="i_21_cp95" jdbcType="FLOAT" property="i21Cp95" />
    <result column="i_22_max" jdbcType="FLOAT" property="i22Max" />
    <result column="i_22_min" jdbcType="FLOAT" property="i22Min" />
    <result column="i_22_avg" jdbcType="FLOAT" property="i22Avg" />
    <result column="i_22_cp95" jdbcType="FLOAT" property="i22Cp95" />
    <result column="i_23_max" jdbcType="FLOAT" property="i23Max" />
    <result column="i_23_min" jdbcType="FLOAT" property="i23Min" />
    <result column="i_23_avg" jdbcType="FLOAT" property="i23Avg" />
    <result column="i_23_cp95" jdbcType="FLOAT" property="i23Cp95" />
    <result column="i_24_max" jdbcType="FLOAT" property="i24Max" />
    <result column="i_24_min" jdbcType="FLOAT" property="i24Min" />
    <result column="i_24_avg" jdbcType="FLOAT" property="i24Avg" />
    <result column="i_24_cp95" jdbcType="FLOAT" property="i24Cp95" />
    <result column="i_25_max" jdbcType="FLOAT" property="i25Max" />
    <result column="i_25_min" jdbcType="FLOAT" property="i25Min" />
    <result column="i_25_avg" jdbcType="FLOAT" property="i25Avg" />
    <result column="i_25_cp95" jdbcType="FLOAT" property="i25Cp95" />
    <result column="i_26_max" jdbcType="FLOAT" property="i26Max" />
    <result column="i_26_min" jdbcType="FLOAT" property="i26Min" />
    <result column="i_26_avg" jdbcType="FLOAT" property="i26Avg" />
    <result column="i_26_cp95" jdbcType="FLOAT" property="i26Cp95" />
    <result column="i_27_max" jdbcType="FLOAT" property="i27Max" />
    <result column="i_27_min" jdbcType="FLOAT" property="i27Min" />
    <result column="i_27_avg" jdbcType="FLOAT" property="i27Avg" />
    <result column="i_27_cp95" jdbcType="FLOAT" property="i27Cp95" />
    <result column="i_28_max" jdbcType="FLOAT" property="i28Max" />
    <result column="i_28_min" jdbcType="FLOAT" property="i28Min" />
    <result column="i_28_avg" jdbcType="FLOAT" property="i28Avg" />
    <result column="i_28_cp95" jdbcType="FLOAT" property="i28Cp95" />
    <result column="i_29_max" jdbcType="FLOAT" property="i29Max" />
    <result column="i_29_min" jdbcType="FLOAT" property="i29Min" />
    <result column="i_29_avg" jdbcType="FLOAT" property="i29Avg" />
    <result column="i_29_cp95" jdbcType="FLOAT" property="i29Cp95" />
    <result column="i_30_max" jdbcType="FLOAT" property="i30Max" />
    <result column="i_30_min" jdbcType="FLOAT" property="i30Min" />
    <result column="i_30_avg" jdbcType="FLOAT" property="i30Avg" />
    <result column="i_30_cp95" jdbcType="FLOAT" property="i30Cp95" />
    <result column="i_31_max" jdbcType="FLOAT" property="i31Max" />
    <result column="i_31_min" jdbcType="FLOAT" property="i31Min" />
    <result column="i_31_avg" jdbcType="FLOAT" property="i31Avg" />
    <result column="i_31_cp95" jdbcType="FLOAT" property="i31Cp95" />
    <result column="i_32_max" jdbcType="FLOAT" property="i32Max" />
    <result column="i_32_min" jdbcType="FLOAT" property="i32Min" />
    <result column="i_32_avg" jdbcType="FLOAT" property="i32Avg" />
    <result column="i_32_cp95" jdbcType="FLOAT" property="i32Cp95" />
    <result column="i_33_max" jdbcType="FLOAT" property="i33Max" />
    <result column="i_33_min" jdbcType="FLOAT" property="i33Min" />
    <result column="i_33_avg" jdbcType="FLOAT" property="i33Avg" />
    <result column="i_33_cp95" jdbcType="FLOAT" property="i33Cp95" />
    <result column="i_34_max" jdbcType="FLOAT" property="i34Max" />
    <result column="i_34_min" jdbcType="FLOAT" property="i34Min" />
    <result column="i_34_avg" jdbcType="FLOAT" property="i34Avg" />
    <result column="i_34_cp95" jdbcType="FLOAT" property="i34Cp95" />
    <result column="i_35_max" jdbcType="FLOAT" property="i35Max" />
    <result column="i_35_min" jdbcType="FLOAT" property="i35Min" />
    <result column="i_35_avg" jdbcType="FLOAT" property="i35Avg" />
    <result column="i_35_cp95" jdbcType="FLOAT" property="i35Cp95" />
    <result column="i_36_max" jdbcType="FLOAT" property="i36Max" />
    <result column="i_36_min" jdbcType="FLOAT" property="i36Min" />
    <result column="i_36_avg" jdbcType="FLOAT" property="i36Avg" />
    <result column="i_36_cp95" jdbcType="FLOAT" property="i36Cp95" />
    <result column="i_37_max" jdbcType="FLOAT" property="i37Max" />
    <result column="i_37_min" jdbcType="FLOAT" property="i37Min" />
    <result column="i_37_avg" jdbcType="FLOAT" property="i37Avg" />
    <result column="i_37_cp95" jdbcType="FLOAT" property="i37Cp95" />
    <result column="i_38_max" jdbcType="FLOAT" property="i38Max" />
    <result column="i_38_min" jdbcType="FLOAT" property="i38Min" />
    <result column="i_38_avg" jdbcType="FLOAT" property="i38Avg" />
    <result column="i_38_cp95" jdbcType="FLOAT" property="i38Cp95" />
    <result column="i_39_max" jdbcType="FLOAT" property="i39Max" />
    <result column="i_39_min" jdbcType="FLOAT" property="i39Min" />
    <result column="i_39_avg" jdbcType="FLOAT" property="i39Avg" />
    <result column="i_39_cp95" jdbcType="FLOAT" property="i39Cp95" />
    <result column="i_40_max" jdbcType="FLOAT" property="i40Max" />
    <result column="i_40_min" jdbcType="FLOAT" property="i40Min" />
    <result column="i_40_avg" jdbcType="FLOAT" property="i40Avg" />
    <result column="i_40_cp95" jdbcType="FLOAT" property="i40Cp95" />
    <result column="i_41_max" jdbcType="FLOAT" property="i41Max" />
    <result column="i_41_min" jdbcType="FLOAT" property="i41Min" />
    <result column="i_41_avg" jdbcType="FLOAT" property="i41Avg" />
    <result column="i_41_cp95" jdbcType="FLOAT" property="i41Cp95" />
    <result column="i_42_max" jdbcType="FLOAT" property="i42Max" />
    <result column="i_42_min" jdbcType="FLOAT" property="i42Min" />
    <result column="i_42_avg" jdbcType="FLOAT" property="i42Avg" />
    <result column="i_42_cp95" jdbcType="FLOAT" property="i42Cp95" />
    <result column="i_43_max" jdbcType="FLOAT" property="i43Max" />
    <result column="i_43_min" jdbcType="FLOAT" property="i43Min" />
    <result column="i_43_avg" jdbcType="FLOAT" property="i43Avg" />
    <result column="i_43_cp95" jdbcType="FLOAT" property="i43Cp95" />
    <result column="i_44_max" jdbcType="FLOAT" property="i44Max" />
    <result column="i_44_min" jdbcType="FLOAT" property="i44Min" />
    <result column="i_44_avg" jdbcType="FLOAT" property="i44Avg" />
    <result column="i_44_cp95" jdbcType="FLOAT" property="i44Cp95" />
    <result column="i_45_max" jdbcType="FLOAT" property="i45Max" />
    <result column="i_45_min" jdbcType="FLOAT" property="i45Min" />
    <result column="i_45_avg" jdbcType="FLOAT" property="i45Avg" />
    <result column="i_45_cp95" jdbcType="FLOAT" property="i45Cp95" />
    <result column="i_46_max" jdbcType="FLOAT" property="i46Max" />
    <result column="i_46_min" jdbcType="FLOAT" property="i46Min" />
    <result column="i_46_avg" jdbcType="FLOAT" property="i46Avg" />
    <result column="i_46_cp95" jdbcType="FLOAT" property="i46Cp95" />
    <result column="i_47_max" jdbcType="FLOAT" property="i47Max" />
    <result column="i_47_min" jdbcType="FLOAT" property="i47Min" />
    <result column="i_47_avg" jdbcType="FLOAT" property="i47Avg" />
    <result column="i_47_cp95" jdbcType="FLOAT" property="i47Cp95" />
    <result column="i_48_max" jdbcType="FLOAT" property="i48Max" />
    <result column="i_48_min" jdbcType="FLOAT" property="i48Min" />
    <result column="i_48_avg" jdbcType="FLOAT" property="i48Avg" />
    <result column="i_48_cp95" jdbcType="FLOAT" property="i48Cp95" />
    <result column="i_49_max" jdbcType="FLOAT" property="i49Max" />
    <result column="i_49_min" jdbcType="FLOAT" property="i49Min" />
    <result column="i_49_avg" jdbcType="FLOAT" property="i49Avg" />
    <result column="i_49_cp95" jdbcType="FLOAT" property="i49Cp95" />
    <result column="i_50_max" jdbcType="FLOAT" property="i50Max" />
    <result column="i_50_min" jdbcType="FLOAT" property="i50Min" />
    <result column="i_50_avg" jdbcType="FLOAT" property="i50Avg" />
    <result column="i_50_cp95" jdbcType="FLOAT" property="i50Cp95" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, phase, i_2_max, i_2_min, i_2_avg, i_2_cp95, i_3_max, 
    i_3_min, i_3_avg, i_3_cp95, i_4_max, i_4_min, i_4_avg, i_4_cp95, i_5_max, i_5_min, 
    i_5_avg, i_5_cp95, i_6_max, i_6_min, i_6_avg, i_6_cp95, i_7_max, i_7_min, i_7_avg, 
    i_7_cp95, i_8_max, i_8_min, i_8_avg, i_8_cp95, i_9_max, i_9_min, i_9_avg, i_9_cp95, 
    i_10_max, i_10_min, i_10_avg, i_10_cp95, i_11_max, i_11_min, i_11_avg, i_11_cp95, 
    i_12_max, i_12_min, i_12_avg, i_12_cp95, i_13_max, i_13_min, i_13_avg, i_13_cp95, 
    i_14_max, i_14_min, i_14_avg, i_14_cp95, i_15_max, i_15_min, i_15_avg, i_15_cp95, 
    i_16_max, i_16_min, i_16_avg, i_16_cp95, i_17_max, i_17_min, i_17_avg, i_17_cp95, 
    i_18_max, i_18_min, i_18_avg, i_18_cp95, i_19_max, i_19_min, i_19_avg, i_19_cp95, 
    i_20_max, i_20_min, i_20_avg, i_20_cp95, i_21_max, i_21_min, i_21_avg, i_21_cp95, 
    i_22_max, i_22_min, i_22_avg, i_22_cp95, i_23_max, i_23_min, i_23_avg, i_23_cp95, 
    i_24_max, i_24_min, i_24_avg, i_24_cp95, i_25_max, i_25_min, i_25_avg, i_25_cp95, 
    i_26_max, i_26_min, i_26_avg, i_26_cp95, i_27_max, i_27_min, i_27_avg, i_27_cp95, 
    i_28_max, i_28_min, i_28_avg, i_28_cp95, i_29_max, i_29_min, i_29_avg, i_29_cp95, 
    i_30_max, i_30_min, i_30_avg, i_30_cp95, i_31_max, i_31_min, i_31_avg, i_31_cp95, 
    i_32_max, i_32_min, i_32_avg, i_32_cp95, i_33_max, i_33_min, i_33_avg, i_33_cp95, 
    i_34_max, i_34_min, i_34_avg, i_34_cp95, i_35_max, i_35_min, i_35_avg, i_35_cp95, 
    i_36_max, i_36_min, i_36_avg, i_36_cp95, i_37_max, i_37_min, i_37_avg, i_37_cp95, 
    i_38_max, i_38_min, i_38_avg, i_38_cp95, i_39_max, i_39_min, i_39_avg, i_39_cp95, 
    i_40_max, i_40_min, i_40_avg, i_40_cp95, i_41_max, i_41_min, i_41_avg, i_41_cp95, 
    i_42_max, i_42_min, i_42_avg, i_42_cp95, i_43_max, i_43_min, i_43_avg, i_43_cp95, 
    i_44_max, i_44_min, i_44_avg, i_44_cp95, i_45_max, i_45_min, i_45_avg, i_45_cp95, 
    i_46_max, i_46_min, i_46_avg, i_46_cp95, i_47_max, i_47_min, i_47_avg, i_47_cp95, 
    i_48_max, i_48_min, i_48_avg, i_48_cp95, i_49_max, i_49_min, i_49_avg, i_49_cp95, 
    i_50_max, i_50_min, i_50_avg, i_50_cp95
  </sql>
</mapper>